import Stripe from "stripe";
import { SelectedPricing, Product, PricingFilter, UseProductsOptions, BillingOptions } from "../types";
interface ReturnProps {
    loading: boolean;
    products: Product[];
    pricingFilter: PricingFilter;
    activeSubscriptions: Stripe.Subscription[];
}
declare const _default: (productIds: string[], options?: UseProductsOptions) => ReturnProps;
export default _default;
export declare const getSelectedPricing: ({ dispatch, product, pricingFilter, setProducts, quantity, options, user, activeSubscriptions, subscriptions, loading, billingOptions }: {
    dispatch: (any: any) => void;
    product: Product;
    pricingFilter: PricingFilter;
    setProducts: (any: any) => void;
    quantity?: number | undefined;
    options?: UseProductsOptions | undefined;
    user?: any;
    activeSubscriptions?: Stripe.Subscription[] | undefined;
    subscriptions?: Stripe.Subscription[] | undefined;
    loading?: boolean | undefined;
    billingOptions?: BillingOptions | undefined;
}) => SelectedPricing;
